Page MenuHomePhabricator

Switching from source to visual fails with multiline input
Closed, ResolvedPublic

Description

The Reply tool's text input area "collapses" unexpectedly when switching input modes after typing a multi-line comment.

Behavior

  1. Visit: https://en.wikipedia.beta.wmflabs.org/wiki/Talk:Cats
  2. Click any "Reply" link
  3. Type the following while in source mode:
hello 
how
are
you
  1. Switch to visual mode

Actual

5. ❗️Notice the text input area collapses

Expected

  1. ✅The tool switches to visual mode and the multi-comment you've written in "3." appears as you expect it to.

Event Timeline

ppelberg created this task.Jun 3 2020, 1:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2020, 1:02 AM
Esanders renamed this task from Text input area collapses unexpectedly to Switching from source to visual fails with multiline input.Jun 3 2020, 12:34 PM
Esanders triaged this task as High priority.

Change 602074 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/DiscussionTools@master] Fix whitespace handling in unwrapList

https://gerrit.wikimedia.org/r/602074

Esanders claimed this task.Jun 3 2020, 12:59 PM

Change 602074 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Fix whitespace handling in unwrapList

https://gerrit.wikimedia.org/r/602074

matmarex moved this task from Code Review to QA on the Editing-team (Q3 2019-2020 Kanban Board) board.
matmarex added a subscriber: matmarex.

This was broken by https://gerrit.wikimedia.org/r/c/mediawiki/extensions/DiscussionTools/+/598847 and only affected the Beta Cluster, it wasn't deployed anywhere else.

Ryasmeen edited projects, added Verified; removed Editing QA.Jun 5 2020, 8:35 PM
ppelberg closed this task as Resolved.Jun 6 2020, 1:38 AM